using System;

namespace Prepisivaci
{
    class Program
    {
        
        static void Main(string[] args)
        {
            long n = Convert.ToInt64(Console.ReadLine());
            

            long[,] tacke = new long[n, 2];
            string[] linija;
            for(int i=0;i<n;i++)
            {
                linija = Console.ReadLine().Split();
                tacke[i, 0] = Convert.ToInt64(linija[0]);
                tacke[i, 1] = Convert.ToInt64(linija[1]);
            }
            long[,] duzi = new long[n* (n - 1) / 2,2];

            int c = 0;
            for(int i=0;i<n;i++)
            {
                for(int j=i+1;j<n;j++)
                {
                    duzi[c, 0] = tacke[i, 0] - tacke[j, 0];
                    duzi[c, 1] = tacke[i, 1] - tacke[j, 1];
                    c++;
                }
            }
            int b = 0;
            for(int i=0;i<c;i++)
            {
                for(int j=i+1;j<c;j++)
                {
                    long duzinaA = duzi[i, 0] * duzi[i, 0] + duzi[i, 1] * duzi[i, 1];
                    long duzinaB = duzi[j, 0] * duzi[j, 0] + duzi[j, 1] * duzi[j, 1];
                    if (duzi[i, 0] * duzi[j, 1] - duzi[i, 1] * duzi[j, 0] == 0 && (duzinaA == 4 * duzinaB || duzinaB == 4 * duzinaA)) b++;
                }
            }
            Console.WriteLine(b);
        }
    }
}